[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# lowerCase

Return lowercase version of a string.

## Declaration

Source position: line 0

`function lowerCase(`
`const s: shortstring`
`):shortstring; overload; function lowerCase(`
`c: Char`
`):Char; overload; function lowercase(`
`const s: ansistring`
`):ansistring;`

## Description

Lowercase returns the lowercase version of its argument C. If its argument is a string, then the complete string is converted to lowercase. The type of the returned value is the same as the type of the argument.

## Errors

None.

## See also

Upcase |  | Convert a string to all uppercase.

## Example

    program Example73;

    { Program to demonstrate the Lowercase function. }

    var c:char;

    begin
      for c:='A' to 'Z' do
        write(lowercase(c));
      Writeln;
      Writeln(Lowercase('ABCDEFGHIJKLMNOPQRSTUVWXYZ'));
    end.

Documentation generated on: Feb 26 2014